const ITask = require("../ITask");
const widgetPathUtils = require("../../../utils/WidgetPathUtils");
const fs = require("fs");

/**
 * 清除jar包
 */
class ClearJarTask extends ITask{

	exe(){
		return new Promise((resolve,reject)=>{
			try{
				let jarPath = widgetPathUtils.getJarAbsPath();
				if(fs.existsSync(jarPath)){
					fs.unlinkSync(jarPath);
				}
				let sourcePath = widgetPathUtils.getSourceJarAbsPath();
				if(fs.existsSync(sourcePath)){
					fs.unlinkSync(sourcePath);
				}
				resolve();
			}catch(err){
				reject(err);
			}
		});
	}

	handleError(err){
		this.exe();
	}
	
}

module.exports = ClearJarTask;