var ioUtils = require("../../../utils/IOUtils");

class Resource { 

	constructor(params){
		this.content = params.content;
		this.dist = params.dist;
	}
	
	getContent(){
		return this.content;
	}

	getDist(){
		return this.dist;
	}

	setDist(dist){
		this.dist = dist;
	}

	persistence(){
		ioUtils.writeContent(this.dist,this.getContent());
	}
}

module.exports = Resource;