const FileResource = require("./FileResource");
const widgetPathUtils = require("../../utils/WidgetPathUtils");

/**
 *
 */
class V3PluginFileResource extends FileResource{
	
	constructor(params){
		let source = params.source;
		let dist = params.dist;
		let args = {
			source:source,
			dist: widgetPathUtils.toPluginPagePath(dist)
		};
		super(args);
	}
}

module.exports = V3PluginFileResource;