class Implement {

	constructor(params) {
		this.interface = params.interface;
		this.condition = params.condition;
	}

	setInterface(interfaceName) {
		this.interface = interfaceName;
	}

	getInterface() {
		return this.interface;
	}

	setCondition(condition) {
		this.condition = condition;
	}

	getCondition() {
		return this.condition;
	}

	toXmlObj() {
		let obj = {};
		obj.$ = {};
		obj.$.interface = this.interface;
		if (this.condition) {
			obj.$.condition = this.condition;
		}
		return obj;
	}
}

module.exports = Implement;