class Module {

	constructor(params) {
		this.id = params.id;
		this.name = params.name;
		this.factory = params.factory;
		this.beforeScript = params.beforeScript;
	}

	setId(id) {
		this.id = id;
	}

	getId() {
		return this.id;
	}

	setName(name) {
		this.name = name;
	}

	getName() {
		return this.name;
	}

	setFactory(factory) {
		this.factory = factory;
	}

	getFactory() {
		return this.factory;
	}

	setBeforeScript(beforeScript){
		this.beforeScript = beforeScript;
	}

	getBeforeScript(){
		return this.beforeScript;
	}

	toXmlObj() {
		let module = {};
		let script = {};
		module.script = script;
		script.id = this.id;
		script.factory = this.factory;
		if(this.beforeScript){
			script.beforeScript = this.beforeScript;
		}
		return module;
	}
}

module.exports = Module;