class Service {

	constructor(params) {
		this.name = params.name;
		this.module = params.module;
		this.pros = params.pros;
	}

	setName(name) {
		this.name = name;
	}

	getName() {
		return this.name;
	}

	setModule(module) {
		this.module = module;
	}

	getModule() {
		return this.module;
	}

	setPros(pros) {
		this.pros = pros;
	}

	getPros() {
		return this.pros;
	}

	toXmlObj() {
		let service = {};
		service.$ = {};
		service.$.name = this.name;
		service.$.id = this.module.getId();
		service.$.implements = this.module.getName();
		if (this.pros) {
			let pros = JSON.stringify(this.pros);
			service.pros = pros;
		}

		return service;
	}
}

module.exports = Service;