/**
 * 窗体命令
 */
const PluginCommmand = require('../../model/PluginCommand');
const plType = require('../../../model/PluginType');
const cmdList = require('../../model/CommandList');
class WindowCommand extends PluginCommmand {
    /**
     * 返回当前插件支持的全部命令列表
     * @override
     */
    getAllCommand() {
        return [
            cmdList.webpack, cmdList.start
        ];
    }
    /**
     * @override
     */
    getPluginType() {
        return plType.window;
    }
}
module.exports = WindowCommand;