const ScriptGenerator = require('../../model/ScriptGenerator');
/**
 * 控件执行脚本生成器，即在package.json的scripts节点中添加执行命令
 */
class WidgetScriptGenerator extends ScriptGenerator {
    /**
     * 获取脚本命令对象
     * @override
     */
    getScripts() {
        let scripts = this.packageJson.scripts || {};
        scripts["v3:start"] = "npm run v3-start";
        scripts["v3:package"] = "npm run v3-package";
        scripts["v3:install"] = "npm run v3:package && v3-install";
        scripts["v3:update"] = "npm run v3:install && v3-update";
        scripts["cli:update"] = "v3 cliupdate";
        return scripts;
    }
}

module.exports = WidgetScriptGenerator;