var fs = require('fs');
var fileUtils = require('./FileUtils');

module.exports = {
  /**
   * 将内容写入指定路径
   */
  writeContent: function(absPath, content) {
    fileUtils.makeDir(fileUtils.getParentPath(absPath));
    fs.writeFileSync(absPath, content);
  },
  /**
   * 异步将内容写入指定路径
   */
  writeContentAsync : function(absPath,content,callback){
    fileUtils.makeDir(fileUtils.getParentPath(absPath));
    fs.writeFile(absPath,content,callback);
  }

};
