const path = require('path');
const pathUtils = require('../../../../utils/PathUtils');

module.exports = {
  resolve: {
    extensions: ['.js', '.vue']
  },
  output: {
    path: path.join(pathUtils.getPluginPath(), 'dist'),
    filename: '[name].js',
    libraryTarget: 'umd',
    umdNamedDefine: true
  },
  performance: {
    hints: false
  }
};
