var crypto = require("crypto");

exports.toMd5 = function (str) {
    return crypto.createHash('md5').update(str).digest('hex');
};

exports.toBase64 = function (str) {
    var b = new Buffer(str);
    return b.toString('base64');
};

exports.isEmpty = function (str) {
    return typeof (str) == "undefined" || str === null || str.trim() == "";
};

exports.toHashCode = function (str) {
    var hash = 0;
    if (str.length == 0) return hash;
    for (i = 0; i < str.length; i++) {
        char = str.charCodeAt(i);
        hash = ((hash << 5) - hash) + char;
        hash = hash & hash;
    }
    return hash;
};