#!/usr/bin/env node


const configUtil = require('../src/utils/ConfigUtils');
const v3DevCfg = configUtil.getV3DevConfig();
const chalk = require('chalk');
console.log("开始更新插件到服务器:" + v3DevCfg.server + ",请稍候...");
console.log(chalk.gray('更改测试服务地址命令：v3 set server http://localhost:8080'));
let v3 = require('./v3');
let promise = v3.exe('update');
promise.then(()=>{
    console.log("更新插件到服务器成功！");
}).catch((err)=>{
    if(err.stack){
        console.error(err.stack);
    }else{
        console.error(err.message);
    }
});