class Dependency {

	constructor(params) {
		this.name = params.name;
		this.version = params.version;
		this.optional = params.optional;
	}

	setName(name) {
		this.name = name;
	}

	getName() {
		return this.name;
	}

	setVersion(version) {
		this.version = version;
	}

	getVersion() {
		return this.version;
	}

	toXmlObj() {
		let obj = {};
		obj.$ = {};
		obj.$.name = this.name;
		if (this.version) {
			obj.$.version = this.version;
		}
		if (this.optional) {
			obj.$.optional = this.optional;
		}
		return obj;
	}
}

module.exports = Dependency;