const xml2js = require("xml2js");

class VjsToXml {

	constructor(params) {
		this.vjsList = params.vjsList || [];
	}

	toXML() {
		var define = {};
		define.version = "1.0";
		var vjsList = [];
		define.vjs = vjsList;
		for (var i = 0, l = this.vjsList.length; i < l; i++) {
			var vjs = this.vjsList[i];
			vjsList.push(vjs.toXmlObj());
		}
		var builder = new xml2js.Builder({
			cdata: true
		});
		return builder.buildObject(define);
	}

}

module.exports = VjsToXml;