/**
 * 构件命令
 */
const PluginCommmand = require('../../model/PluginCommand');
const plType = require('../../../model/PluginType');
const cmdList = require('../../model/CommandList');
class WidgetCommand extends PluginCommmand {
    /**
     * 返回当前插件支持的全部命令列表
     * @override
     */
    getAllCommand() {
        return [
            cmdList.pack, cmdList.publish, cmdList.apply,
            cmdList.webpack, cmdList.test, cmdList.start
        ];
    }
    /**
     * @override
     */
    getPluginType() {
        return plType.widget;
    }
}
module.exports = WidgetCommand;