const pathUtils = require("../../../../utils/PathUtils");
const path = require("path");

module.exports = {

  getComponentAlias: function (components) {
    let result = {};
    components.forEach(component => {
      let componentCode = component.getCode();
      result["@" + componentCode] = path.join(pathUtils.getPluginPath(), component.getSrcPath());
    });
    return result;
  }

};