let pathUtils = require("../../utils/PathUtils");

module.exports = {
  getLoaders : function(components){
    //TODO 目前单构件打包
    let componentCode = components[0].getCode();
    let dir = pathUtils.toStaticResourcePathDir();
    return [{
      test: /^.(?!.*(css|vue|js|ejs|less|sass|html|htm|json)(\?\S*)?$)/,
      loader: 'v3-file-loader',
      options: {
        name: dir+'/'+componentCode+'_[sha512:hash:base64:7].[ext]',
        publicPath : function(url){
          let queryStr = this.resourceQuery;
          if(queryStr&&this.resourceQuery.indexOf("cssRes=true")!=-1){
            let array = url.split("/");
            return "./" + array.pop();
          }else{
            return url;
          }
        }
      }
    }];
  }
};
